#!/usr/bin/env bash
	
	if ! flatpak update -y ; then
		
		zenity --error \
		--title="Sovran_SystemsOS Updater" \
		--text="Could Not Update Flatpaks."
		
		exit 1
	
	fi
	
		
	if ! cd /etc/nixos ; nix flake update ; nixos-rebuild switch --impure ; then
		
		zenity --error \
		--title="Sovran_SystemsOS Updater" \
		--text="Could Not Update Sovran_SystemsOS"
		
		exit 1
	
	fi
	
fi

exit 0